package com.sun.org.apache.xml.internal.security.keys.content;

import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;
import org.w3c.dom.Element;
import com.sun.org.apache.xml.internal.security.utils.Signature11ElementProxy;

public class KeyInfoReference extends Signature11ElementProxy implements KeyInfoContent
{
    public KeyInfoReference(Element element, String baseURI) throws XMLSecurityException {
        super(element, baseURI);
    }
    
    public KeyInfoReference(Document doc, String value) {
        super(doc);
        this.setLocalAttribute("URI", value);
    }
    
    public Attr getURIAttr() {
        return this.getElement().getAttributeNodeNS(null, "URI");
    }
    
    public String getURI() {
        return this.getURIAttr().getNodeValue();
    }
    
    public void setId(String value) {
        this.setLocalIdAttribute("Id", value);
    }
    
    public String getId() {
        return this.getLocalAttribute("Id");
    }
    
    @Override
    public String getBaseLocalName() {
        return "KeyInfoReference";
    }
}
